Get Energy Denominated Revenue
/asic/energy-denominated-revenue has rate limitation:
Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.
Energy Denominated Revenue
This endpoint retrieves daily price ratios between different categories of mining rig prices and the average USD hash price over the past 3 months. For each day, it returns the normalized rig price across five categories (under19, 19to25, 25to38, 38to68, above68) by dividing the rig price index by the average daily USD hash price.
Authorization
ApiKeyAuth In: header
Query Parameters
Time span
"3M"Value in
- "3M"
- "6M"
- "1Y"
- "ALL"
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/asic/energy-denominated-revenue?span=3M"{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICEnergyDenominatedRevenueData.json", "data": [ { "19to25": 0, "25to38": 0, "38to68": 0, "above68": 0, "timestamp": "2019-08-24T14:15:22Z", "under19": 0 } ]}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}